<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:param name="doc-lang" select="'en'"/>

<xsl:template match="/howtos">
    <html>
    <head>
      <LINK TYPE="text/css" HREF="howtos.css" REL="STYLESHEET"/>  

    </head>
    <body>
    
    <a name="top"/>
    
    <div class="toc">
    <xsl:apply-templates select="toc/topic" mode="topic-toc-element"/>
    </div>
    
    <div class="topics">
    <xsl:for-each select="toc/topic">
        <xsl:variable name="topic-ref" select="@ref"/>
        <xsl:apply-templates select="/howtos/topics/topic[@id=$topic-ref]/content[@lang=$doc-lang]"/>
    </xsl:for-each>    
    </div>
    
    </body>
    </html>
</xsl:template>


<xsl:template match="topic" mode="topic-toc-element">
    <xsl:variable name="topic-ref" select="@ref"/>
    
    <div class="topic-toc-element">
        <xsl:variable name="topic" select="/howtos/topics/topic[@id=$topic-ref]"/>
        <xsl:variable name="topic-title" select="$topic/content[@lang=$doc-lang]/title/node()" />
        <xsl:choose>
        
            <xsl:when test="$topic/content[@lang=$doc-lang]/text//tbc">
                <a href="#{@ref}"> <xsl:copy-of select="$topic-title"/> </a> 
                <span class="tbd">TO BE COMPLETE!</span>
            </xsl:when>
            <xsl:when test="$topic/content[@lang=$doc-lang]/text/node()">
                <a href="#{@ref}"> <xsl:copy-of select="$topic-title"/> </a>
            </xsl:when>
            <xsl:when test="$topic">
                <a href="#{@ref}">
                    <xsl:copy-of select="$topic-title"/>
                </a>
                <span class="tbd"> : NO CONTENTS </span>
            </xsl:when>
            <xsl:otherwise>
                Topic '<xsl:value-of select="@ref"/>' not found!
            </xsl:otherwise>
        </xsl:choose>
    </div>
    
</xsl:template>

<xsl:template match="topic/content">
    <div class="topic-content">
        <a name="{../@id}">&#160;</a>
        <h2><xsl:copy-of select="title/node()"/></h2>
        
        <a href="#top">to beginning...</a> 
        <p/>
        
        <xsl:choose>
            <xsl:when test="text/node()">
                <xsl:copy-of select="text/node()"/>
            </xsl:when>
            <xsl:otherwise>
                <div class="tbd">
                TO BE DEFINED
                </div>
            </xsl:otherwise>
        </xsl:choose>
    </div>

</xsl:template>

</xsl:stylesheet>
